import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { ListRuleTypesInput, ListRuleTypesOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListRuleTypesCommandInput extends ListRuleTypesInput {}
export interface ListRuleTypesCommandOutput
  extends ListRuleTypesOutput,
    __MetadataBearer {}
declare const ListRuleTypesCommand_base: {
  new (
    input: ListRuleTypesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListRuleTypesCommandInput,
    ListRuleTypesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListRuleTypesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListRuleTypesCommandInput,
    ListRuleTypesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListRuleTypesCommand extends ListRuleTypesCommand_base {
  protected static __types: {
    api: {
      input: ListRuleTypesInput;
      output: ListRuleTypesOutput;
    };
    sdk: {
      input: ListRuleTypesCommandInput;
      output: ListRuleTypesCommandOutput;
    };
  };
}
