import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { GetPipelineInput, GetPipelineOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetPipelineCommandInput extends GetPipelineInput {}
export interface GetPipelineCommandOutput
  extends GetPipelineOutput,
    __MetadataBearer {}
declare const GetPipelineCommand_base: {
  new (
    input: GetPipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineCommandInput,
    GetPipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetPipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineCommandInput,
    GetPipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetPipelineCommand extends GetPipelineCommand_base {
  protected static __types: {
    api: {
      input: GetPipelineInput;
      output: GetPipelineOutput;
    };
    sdk: {
      input: GetPipelineCommandInput;
      output: GetPipelineCommandOutput;
    };
  };
}
