import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  GetThirdPartyJobDetailsInput,
  GetThirdPartyJobDetailsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetThirdPartyJobDetailsCommandInput
  extends GetThirdPartyJobDetailsInput {}
export interface GetThirdPartyJobDetailsCommandOutput
  extends GetThirdPartyJobDetailsOutput,
    __MetadataBearer {}
declare const GetThirdPartyJobDetailsCommand_base: {
  new (
    input: GetThirdPartyJobDetailsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetThirdPartyJobDetailsCommandInput,
    GetThirdPartyJobDetailsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetThirdPartyJobDetailsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetThirdPartyJobDetailsCommandInput,
    GetThirdPartyJobDetailsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetThirdPartyJobDetailsCommand extends GetThirdPartyJobDetailsCommand_base {
  protected static __types: {
    api: {
      input: GetThirdPartyJobDetailsInput;
      output: GetThirdPartyJobDetailsOutput;
    };
    sdk: {
      input: GetThirdPartyJobDetailsCommandInput;
      output: GetThirdPartyJobDetailsCommandOutput;
    };
  };
}
